# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-trml2pdf
%global srcname trml2pdf

Name:           python-module-trml2pdf
Version:        1.2
Release:        alt1_6
Summary:        Tiny RML2PDF is a tool to easily create PDF documents without programming

Group:          Development/Python
License:        LGPLv2+
URL:            http://www.satchmoproject.com/snapshots/
Source0:        http://www.satchmoproject.com/snapshots/%{srcname}-%{version}.tar.gz
Source1:        http://svn.debian.org/viewsvn/python-modules/packages/python-trml2pdf/trunk/debian/%{srcname}.1

BuildArch:      noarch

BuildRequires:  python-devel
Source44: import.info
# Python-Imaging (PIL) if you use bitmap pictures


%description
Convert Report Markup Language (RML) files to PDF.


%prep
%setup -q -n %{srcname}-%{version}


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
# copy man page
install -m 755 -d ${RPM_BUILD_ROOT}/%{_mandir}/man1
install -m 644 %{SOURCE1} ${RPM_BUILD_ROOT}/%{_mandir}/man1
# upsteam is a bit dead, so there's no one to extract a script from the module
chmod +x ${RPM_BUILD_ROOT}/%{python_sitelibdir_noarch}/trml2pdf/trml2pdf.py
install -m 755 -d ${RPM_BUILD_ROOT}/%{_bindir}
ln -s %{python_sitelibdir_noarch}/trml2pdf/trml2pdf.py ${RPM_BUILD_ROOT}/%{_bindir}/trml2pdf

 
%files
%doc COPYRIGHT.txt INSTALL.txt LICENSE.txt README.txt
%{python_sitelibdir_noarch}/*
%{_bindir}/*
%{_mandir}/*/*


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1_6
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1_5
- initial fc import

